Loading...
Searching...
No Matches
netcdf_mem.h File Reference

Main header file for in-memory (diskless) functionality. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | NC_memio

## Macros

#define | NC_MEMIO_LOCKED 1 /* Do not try to realloc or free provided memory */

## Typedefs

typedef struct NC_memio | NC_memio

## Functions

EXTERNL int | nc_close_memio (int ncid, NC_memio *info)
| Do a normal close (see nc_close()) on an in-memory dataset, then return a copy of the final memory contents of the dataset.
EXTERNL int | nc_create_mem (const char *path, int mode, size_t initialsize, int *ncidp)
| Create a netCDF file with the contents stored in memory.
EXTERNL int | nc_open_mem (const char *path, int mode, size_t size, void *memory, int *ncidp)
| Open a netCDF file with the contents taken from a block of memory.
EXTERNL int | nc_open_memio (const char *path, int mode, NC_memio *info, int *ncidp)
| Open a netCDF file with the contents taken from a block of memory.

## Detailed Description

Main header file for in-memory (diskless) functionality.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

See COPYRIGHT file for more info.

Definition in file netcdf_mem.h.

## Macro Definition Documentation

## NC_MEMIO_LOCKED

#define NC_MEMIO_LOCKED 1 /* Do not try to realloc or free provided memory */

Definition at line 26 of file netcdf_mem.h.